Bug 1827915 (F33Workstationlivex86_64Oversize) - Fedora 33: Workstation live x86_64 image exceeds maximum size
Summary: Fedora 33: Workstation live x86_64 image exceeds maximum size
Keywords:
Status: CLOSED ERRATA
Alias: F33Workstationlivex86_64Oversize
Product: Fedora
Classification: Fedora
Component: distribution
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: BetaBlocker, F33BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2020-04-25 13:48 UTC by Fedora QA Tools SIG
Modified: 2020-09-06 21:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-06 21:54:07 UTC
Type: ---


Attachments (Terms of Use)

Description Fedora QA Tools SIG 2020-04-25 13:48:19 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20200425.n.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-Rawhide-20200425.n.0.iso from compose Fedora-Rawhide-20200425.n.0 is 2030043136 bytes, exceeding the maximum size 2000000000. Canonical maximum sizes can be found at https://fedoraproject.org/wiki/Releases/33/Spins and https://fedoraproject.org/wiki/Releases/33/ReleaseBlocking . This check is run by the 'relval' tool, which has its own list of maximum sizes derived from those pages. If the maximum size used for this comparison is wrong, please add a comment and file a bug against relval at https://pagure.io/fedora-qa/relval/issues and it will be corrected. If you believe the canonical maximum size for an image should be changed, please follow the appropriate process before filing a relval bug.

Comment 1 Fedora QA Tools SIG 2020-05-02 12:46:10 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20200502.n.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-Rawhide-20200502.n.0.iso from compose Fedora-Rawhide-20200502.n.0 is 2030043136 bytes, exceeding the maximum size 2000000000.

Comment 2 Fedora QA Tools SIG 2020-05-07 16:31:37 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20200507.n.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-Rawhide-20200507.n.0.iso from compose Fedora-Rawhide-20200507.n.0 is 2018148352 bytes, exceeding the maximum size 2000000000.

Comment 3 Fedora QA Tools SIG 2020-05-10 12:43:20 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20200510.n.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-Rawhide-20200510.n.0.iso from compose Fedora-Rawhide-20200510.n.0 is 2018148352 bytes, exceeding the maximum size 2000000000.

Comment 4 Fedora QA Tools SIG 2020-05-15 12:03:48 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20200515.n.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-Rawhide-20200515.n.0.iso from compose Fedora-Rawhide-20200515.n.0 is 2018148352 bytes, exceeding the maximum size 2000000000.

Comment 5 Fedora QA Tools SIG 2020-05-23 16:52:21 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20200522.n.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-Rawhide-20200522.n.0.iso from compose Fedora-Rawhide-20200522.n.0 is 2034827264 bytes, exceeding the maximum size 2000000000.

Comment 6 Fedora QA Tools SIG 2020-05-30 03:49:04 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20200529.n.2/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-Rawhide-20200529.n.2.iso from compose Fedora-Rawhide-20200529.n.2 is 2042822656 bytes, exceeding the maximum size 2000000000.

Comment 7 Fedora QA Tools SIG 2020-06-02 07:15:52 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20200601.n.1/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-Rawhide-20200601.n.1.iso from compose Fedora-Rawhide-20200601.n.1 is 2042822656 bytes, exceeding the maximum size 2000000000.

Comment 8 Fedora QA Tools SIG 2020-06-04 14:23:55 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20200604.n.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-Rawhide-20200604.n.0.iso from compose Fedora-Rawhide-20200604.n.0 is 2036826112 bytes, exceeding the maximum size 2000000000.

Comment 9 Fedora QA Tools SIG 2020-06-21 16:11:05 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20200620.n.1/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-Rawhide-20200620.n.1.iso from compose Fedora-Rawhide-20200620.n.1 is 2059567104 bytes, exceeding the maximum size 2000000000.

Comment 10 Fedora QA Tools SIG 2020-06-23 14:19:55 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20200623.n.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-Rawhide-20200623.n.0.iso from compose Fedora-Rawhide-20200623.n.0 is 2059567104 bytes, exceeding the maximum size 2000000000.

Comment 11 Fedora QA Tools SIG 2020-07-08 14:39:54 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20200708.n.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-Rawhide-20200708.n.0.iso from compose Fedora-Rawhide-20200708.n.0 is 2059567104 bytes, exceeding the maximum size 2000000000.

Comment 12 Fedora QA Tools SIG 2020-07-13 10:58:06 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20200713.n.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-Rawhide-20200713.n.0.iso from compose Fedora-Rawhide-20200713.n.0 is 2074279936 bytes, exceeding the maximum size 2000000000.

Comment 13 Fedora QA Tools SIG 2020-07-17 10:27:21 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20200717.n.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-Rawhide-20200717.n.0.iso from compose Fedora-Rawhide-20200717.n.0 is 2072248320 bytes, exceeding the maximum size 2000000000.

Comment 14 Fedora QA Tools SIG 2020-07-21 10:47:11 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20200721.n.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-Rawhide-20200721.n.0.iso from compose Fedora-Rawhide-20200721.n.0 is 2080374784 bytes, exceeding the maximum size 2000000000.

Comment 15 Fedora QA Tools SIG 2020-07-31 13:13:56 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20200731.n.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-Rawhide-20200731.n.0.iso from compose Fedora-Rawhide-20200731.n.0 is 2055536640 bytes, exceeding the maximum size 2000000000.

Comment 16 Fedora QA Tools SIG 2020-08-04 10:31:30 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20200804.n.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-Rawhide-20200804.n.0.iso from compose Fedora-Rawhide-20200804.n.0 is 2044821504 bytes, exceeding the maximum size 2000000000.

Comment 17 Ben Cotton 2020-08-11 13:20:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 18 Fedora QA Tools SIG 2020-08-11 17:19:40 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20200811.n.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-Rawhide-20200811.n.0.iso from compose Fedora-Rawhide-20200811.n.0 is 2046820352 bytes, exceeding the maximum size 2000000000.

Comment 19 Adam Williamson 2020-08-17 17:44:38 UTC
The script should have nominated this as a blocker bug automatically, but for some reason, it didn't. Fixing that. This is an automatic blocker per "Any release-blocking Beta or Final TC/RC image exceeding its maximum size (failures of QA:Testcase_Mediakit_ISO_Size)" - https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers - and https://fedoraproject.org/wiki/Releases/33/ReleaseBlocking , where this image is listed.

Comment 20 Kalev Lember 2020-08-18 14:15:59 UTC
I brought this up at today's Workstation WG meeting and we decided to review the default installed packages tomorrow, as part of the GNOME 3.38 Test Day. If we can't find enough to cull we'll bump the size limit.

Comment 21 Fedora QA Tools SIG 2020-08-20 00:09:02 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/branched/Fedora-33-20200819.n.1/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-33-20200819.n.1.iso from compose Fedora-33-20200819.n.1 is 2063597568 bytes, exceeding the maximum size 2000000000.

Comment 22 Fedora QA Tools SIG 2020-08-22 13:02:51 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/branched/Fedora-33-20200822.n.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-33-20200822.n.0.iso from compose Fedora-33-20200822.n.0 is 2016165888 bytes, exceeding the maximum size 2000000000.

Comment 23 Kalev Lember 2020-08-25 14:11:49 UTC
We discussed this again at today's Workstation WG meeting and decided to increase the size limit by 100 MB. Not going to drop any apps this cycle.

What's the canonical source for the size limits? Can I edit them myself?

Comment 24 Adam Williamson 2020-08-25 15:40:13 UTC
I consider https://fedoraproject.org/wiki/Releases/33/Spins and https://fedoraproject.org/wiki/Releases/33/ReleaseBlocking (number updated each release, of course) as the canonical sources. There's supposed to be some sort of process to changing them, but it's not really running ATM, so yeah, people have just been editing it themselves.

CCing bcotton, it might be nice to have Process, I guess...

Comment 25 Ben Cotton 2020-08-25 16:41:51 UTC
I prefer to go with the Mean Girls approach and say "the limit does not exist." But while people insist on being sensible, it should at least be documented. (I have documenting the various processes related to spins and the like on my Taiga Board of Shame, so one day that will magically happen).

I've updated the WG Live size limit on https://fedoraproject.org/wiki/Releases/33/ReleaseBlocking to 2.1GB. This will carry forward when I copypasta to the 34/ReleaseBlocking page. Kalev, you and the Workstation WG can feel free to edit the size limits as you like in the future, or just ask me and I'll do it.

Adam, do you want me to file a PR against relval to update the value there or will you do that?

Comment 26 Adam Williamson 2020-08-25 16:59:53 UTC
I'll do it.

It would sure be nice if there were a reliable machine-readable canonical source from which the human readable list was derived, though. Hint. Hint. :P

Comment 27 Kalev Lember 2020-08-25 18:18:19 UTC
Excellent, thanks to both of you!

Comment 28 Fedora QA Tools SIG 2020-09-06 12:59:03 UTC
Workstation live x86_64 image https://kojipkgs.fedoraproject.org/compose/branched/Fedora-33-20200906.n.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-33-20200906.n.0.iso from compose Fedora-33-20200906.n.0 is 2028060672 bytes, exceeding the maximum size 2000000000.

Comment 29 Chris Murphy 2020-09-06 19:58:22 UTC
Max size should be +100MB, i.e. 2100000000 bytes.

Comment 30 Adam Williamson 2020-09-06 21:51:13 UTC
I thought I updated relval on the box...


Note You need to log in before you can comment on or make changes to this bug.